Subject: bug#24050: 24.5; ispell-change-dictionary suggests non-existent dicts (aspell)

From: Eli Zaretskii <[email-masked]>
Date: Sun, 28 Jul 2019 19:22:27 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 28 Jul 2019 17:08:26 +0200
> 
> OK, so aspell/hunspell won't output the real list of dictionaries it has
> access to, but find more later when you give them a dictionary name?

If aspell/hunspell is misconfigured, or has some bug, it might not
output the correct list of installed dictionaries, or not at all.

> ispell.el itself doesn't look around for dictionaries -- it just calls
> aspell/hunspell and it outputs the dictionaries (see below).

Yes.

> If the backend is something other than aspell/hunspell, ispell will
> still output the entire list of built-in dictionary names.

Right.